### Function

# Gimp adaptive_supersample_area

#### Declaration [src]

    gulong
    gimp_adaptive_supersample_area (
      gint x1,
      gint y1,
      gint x2,
      gint y2,
      gint max_depth,
      gdouble threshold,
      GimpRenderFunc render_func,
      gpointer render_data,
      GimpPutPixelFunc put_pixel_func,
      gpointer put_pixel_data,
      GimpProgressFunc progress_func,
      gpointer progress_data
    )

#### Description

No description available.

#### Parameters

`x1`

  Type: `gint`

  Left x coordinate of the area to process.

`y1`

  Type: `gint`

  Top y coordinate of the area to process.

`x2`

  Type: `gint`

  Right x coordinate of the area to process.

`y2`

  Type: `gint`

  Bottom y coordinate of the area to process.

`max_depth`

  Type: `gint`

  Maximum depth of supersampling.

`threshold`

  Type: `gdouble`

  Lower threshold of pixel difference that stops supersampling.

`render_func`

  Type: `GimpRenderFunc`

  Function calculate the color value at given coordinates.

`render_data`

  Type: `gpointer`

  User data passed to `render_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`put_pixel_func`

  Type: `GimpPutPixelFunc`

  Function to a pixels to a color at given coordinates.

`put_pixel_data`

  Type: `gpointer`

  User data passed to `put_pixel_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`progress_func`

  Type: `GimpProgressFunc`

  Function to report progress.

`progress_data`

  Type: `gpointer`

  User data passed to `progress_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gulong`

The number of pixels processed.